/* Global css variables used for colors, fonts and box-shadow */
:root {
  --headings-font-family: "Rye", cursive;
  --paragraph-font-family: "Newsreader", serif;
  --border-color: #94b1aa;
  --primary-bg-color: #e6f3f0;
  --secondary-bg-color: #94b1aa;
  --tertiary-bg-color: #fcfffe;
  --box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.5), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

body {
  display: flex;
  margin: 0;
  padding: 0;
}

h1 {
  font-size: 42px;
  font-weight: 500;
  line-height: 48px;
  margin: 10px 0;
}

h1,
h2 {
  font-family: var(--headings-font-family), sans-serif;
}

p,
select,
.card,
footer,
button {
  font-family: var(--paragraph-font-family);
}

.question-section {
  width: 30%;
  min-height: 100vh;
  background-color: var(--secondary-bg-color);
  display: flex;
  flex-direction: column;
  padding: 5vw;
  align-items: flex-start;
  box-sizing: border-box;
}

select {
  display: block;
  border: none;
  border-radius: 5px;
  padding: 5px;
  font-size: 18px;
  width: 100%;
  margin: 24px 0;
  box-shadow: var(--box-shadow);
  background-color: var(--tertiary-bg-color);
}

.question-mark-icon {
  width: 126px;
  border-radius: 50%;
}

.board-wrapper {
  width: 70%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.game-board {
  width: 90%;
  max-width: 882px;
  display: flex;
  flex-wrap: wrap;
  align-content: center;
}

/****** CARD ******/
.card {
  width: 135px;
  height: 165px;
  overflow: hidden;
  border: 3px inset var(--secondary-bg-color);
  border-radius: 4px;
  margin: 3px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  box-shadow: var(--box-shadow);
}

.card p {
  text-align: center;
  margin-bottom: 0;
  font-size: 16px;
  font-weight: 700;
}

.card .guess {
  display: none;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  height: inherit;
}

.card:hover {
  background-color: var(--secondary-bg-color);
}

.card:hover img,
.card:hover p {
  display: none;
}

/* The div with the guess class is only shown on hover */
.card:hover .guess {
  display: flex;
}

.guess span {
  font-size: 16px;
  line-height: 18px;
  font-weight: 600;
  margin-bottom: 8px;
  width: 90%;
}

/****** BUTTONS ******/
button {
  display: flex;
  border: 2px solid var(--primary-bg-color);
  border-radius: 50px;
  font-size: 15px;
  justify-content: center;
  font-family: var(--paragraph-font-family);
  font-weight: bold;
  padding: 17px 27px;
  cursor: pointer;
  box-shadow: var(--box-shadow);
}

.small {
  padding: 8px 16px;
}

.outlined-button {
  background-color: var(--tertiary-bg-color);
  align-self: flex-end;
}

.outlined-button:hover {
  background-color: var(--primary-bg-color);
}

.filled-button {
  background-color: var(--primary-bg-color);
}

.filled-button:hover {
  background-color: white;
  border-color: var(--primary-bg-color);
}

/****** WIN OR LOSE SECTION ******/
.win-or-lose-wrapper {
  display: none;
  align-items: center;
  justify-content: center;
  background: var(--secondary-bg-color);
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  min-height: 101vh;
}

.win-or-lose {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  max-width: 700px;
  text-align: center;
}

.win-or-lose img {
  /* align-self: flex-start;
  margin-left: 15%; */
  display: flex;
  justify-content: center;
  width: 100%;
  height: auto;
}

.win-or-lose h2 {
  /* margin-bottom: 32px; */
  margin: 20px;
}

/*footer*/
.logo-footer {
  display: flex;
  align-items: center;
  text-align: center;
  justify-content: center;
}

.logo-footer img {
  width: 50px;
  border-radius: 50%;
  box-shadow: var(--box-shadow);
  margin-top: 5px;
}

.logoTextSpan {
  padding: 10px;
  font-family: var(--footer-font-family);
}

.footer-icons {
  justify-content: center;
  align-items: center;
  text-align: center;
}

.fa-linkedin,
.fa-github {
  font-size: 38px;
  padding-left: 25px;
  filter: drop-shadow(2px 4px 1px rgb(0 0 0 / 0.3));
  text-decoration: none;
}

.fa-linkedin {
  color: #0270ad;
}

.fa-github {
  color: #000;
}

.flex-parent footer {
  display: flex;
  align-items: center;
  justify-content: center;
}

.flex-child footer {
  display: inline-flex;
}

@media (max-width: 768px) {
  body {
    flex-direction: column;
  }

  select {
    font-size: 15px;
  }

  .question-section {
    width: 100%;
    min-height: 0;
  }

  button {
    padding: 8px 16px;
  }
  h1 {
    font-size: 24px;
    line-height: 30px;
  }

  h2 {
    font-size: 20px;
    line-height: 25px;
  }

  .guess-who-icon {
    width: 51px;
  }

  .board-wrapper {
    width: 100%;
  }

  .game-board {
    width: 100%;
    max-width: 750px;
  }

  .card {
    width: 113px;
    position: relative;
  }

  .card .guess {
    display: flex;
    top: 0;
    position: absolute;
    justify-content: flex-end;
  }

  .card .guess span {
    display: none;
  }

  .card .guess .filled-button {
    padding: 6px 11px;
    margin-bottom: 1px;
    background: white;
    border: none;
  }
}
